{% extends '../base.html'%} {% block main %} {% load static %}


<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}

  <div class="table-container">
    <p class="text-center fs-4 mt-3">Envoyer un e-mail</p>
    <div class="add-article">
      <form action="{% url 'new_mail' %}" id="mails-form" method="POST">
        {% csrf_token %}

        <div>
          <label for="receiver" class="form-label">À</label>
          <div id="counter" class="row">
            <div
              id="email-row-1"
              class="mb-3 d-flex justify-content-center align-items-center gap-4"
            >
              <div class="inputs w-100">
                <input
                  type="email"
                  class="form-control"
                  name="receiver-1"
                  placeholder="name@example.com"
                  {% if email %}
                  value="{{email}}"
                  {% endif %}
                />
              </div>
              <i
                onclick="addReceiver(this)"
                style="
                  padding: 10px;
                  border: 1px solid black;
                  border-radius: 5px;
                  cursor: pointer;
                "
                class="fa-solid fa-plus"
              ></i>
            </div>
          </div>
          <input
            type="hidden"
            name="email-counter"
            id="email-counter"
            value="1"
          />

          <script>
            function addReceiver(i) {
              const divCounter = document.querySelector("#email-counter");
              let counter = parseInt(divCounter.value);
              counter++;
              divCounter.value = counter;
              const div = document.createElement("div");
              div.setAttribute("id", `email-row-${counter}`);
              div.classList.add(
                "mb-3",
                "d-flex",
                "justify-content-center",
                "align-items-center",
                "gap-4"
              );
              div.innerHTML = `
              <div class="inputs w-100">
                <input type="email" class="form-control" name="receiver-${counter}" placeholder=" name@example.com" />
              </div>
              <i onclick="removeReceiver(this)" data-counter=${counter} style=" padding: 10px; border: 1px solid black; border-radius: 5px; cursor: pointer; " class="fa-solid fa-minus" ></i>`;
              i.parentElement.parentElement.parentElement.appendChild(div);
            }

            function removeReceiver(i) {
              const divCounter = document.querySelector("#email-counter");
              let counter = parseInt(divCounter.value);
              if (counter > 1) {
                const div = document.querySelector(
                  `#email-row-${i.dataset.counter}`
                );
                div.remove();
                counter--;
                divCounter.value = counter;
              }
            }
          </script>
        </div>
        <div class="mb-3">
          <label for="object" class="form-label">Objet</label>
          <input
            type="text"
            name="object"
            class="form-control"
            id="object"
            placeholder="....."
            {% if email %}
              value="Repense à votre demande de réparation"
            {% endif %}
          />
        </div>
        <div class="mb-3">
          <label for="exampleFormControlTextarea1" class="form-label"
            >Courps de l'e-mail</label
          >
          <textarea
            name="content"
            class="form-control"
            id="exampleFormControlTextarea1"
            rows="15"
          >{% if email %}Bonjour,



Cordialement.

L'équipe de DRONES PRO
{{ about_us.address }}
{{ about_us.phone }}{% endif %}</textarea>
        </div>
        <div class="mb-3 d-flex justify-content-center align-content-center">
          <button type="submit" class="trigger">Envoyer</button>
        </div>
      </form>
    </div>
  </div>

</div>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
</script>
{% endblock main%}
